> ## Documentation Index
> Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve lists

> **Supported products**

> **Required Scopes**


## OpenAPI

````yaml specs/2026-03/crm-lists-v2026-03.json POST /crm/lists/2026-03/records/memberships/batch/read
openapi: 3.0.1
info:
  title: CRM Lists
  description: Basepom for all HubSpot Projects
  version: 2026-03
  x-hubspot-product-tier-requirements:
    marketing: FREE
    sales: FREE
    service: FREE
    cms: FREE
    commerce: FREE
    crmHub: FREE
    dataHub: FREE
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Basic
  - name: Batch
  - name: Search
paths:
  /crm/lists/2026-03/records/memberships/batch/read:
    post:
      tags:
        - Batch
      operationId: >-
        post-/crm/lists/2026-03/records/memberships/batch/read_/crm/lists/v3/records/memberships/batch/read
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchInputRecordIdInput'
        required: true
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchResponseRecordIdWithMemberships'
        '207':
          description: multiple statuses
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/BatchResponseRecordIdWithMembershipsWithErrors
        default:
          $ref: '#/components/responses/Error'
          description: ''
      security:
        - oauth2:
            - crm.segments.read
        - oauth2:
            - crm.lists.read
components:
  schemas:
    BatchInputRecordIdInput:
      required:
        - inputs
      type: object
      properties:
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/RecordIdInput'
    BatchResponseRecordIdWithMemberships:
      required:
        - completedAt
        - results
        - startedAt
        - status
      type: object
      properties:
        completedAt:
          type: string
          format: date-time
        links:
          type: object
          additionalProperties:
            type: string
        requestedAt:
          type: string
          format: date-time
        results:
          type: array
          items:
            $ref: '#/components/schemas/RecordIdWithMemberships'
        startedAt:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - CANCELED
            - COMPLETE
            - PENDING
            - PROCESSING
    BatchResponseRecordIdWithMembershipsWithErrors:
      required:
        - completedAt
        - results
        - startedAt
        - status
      type: object
      properties:
        completedAt:
          type: string
          format: date-time
        errors:
          type: array
          items:
            $ref: '#/components/schemas/StandardError'
        links:
          type: object
          additionalProperties:
            type: string
        numErrors:
          type: integer
          format: int32
        requestedAt:
          type: string
          format: date-time
        results:
          type: array
          items:
            $ref: '#/components/schemas/RecordIdWithMemberships'
        startedAt:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - CANCELED
            - COMPLETE
            - PENDING
            - PROCESSING
    RecordIdInput:
      required:
        - objectTypeId
        - recordId
      type: object
      properties:
        objectTypeId:
          type: string
        recordId:
          type: string
    RecordIdWithMemberships:
      required:
        - objectTypeId
        - recordId
        - recordListMemberships
      type: object
      properties:
        objectTypeId:
          type: string
        recordId:
          type: string
        recordListMemberships:
          type: array
          items:
            $ref: '#/components/schemas/RecordListMembership'
    StandardError:
      required:
        - category
        - context
        - errors
        - links
        - message
        - status
      type: object
      properties:
        category:
          type: string
          description: The main category of the error.
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Additional context-specific information related to the error.
        errors:
          type: array
          description: The detailed error objects.
          items:
            $ref: '#/components/schemas/ErrorDetail'
        id:
          type: string
          description: A unique ID for the error instance.
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            URLs linking to documentation or resources associated with the
            error.
        message:
          type: string
          description: >-
            A human-readable string describing the error and possible
            remediation steps.
        status:
          type: string
          description: The HTTP status code associated with the error.
        subCategory:
          type: object
          properties: {}
          description: A more specific error category within each main category.
      description: Ye olde error
    Error:
      required:
        - category
        - correlationId
        - message
      type: object
      properties:
        category:
          type: string
          description: A categoria de erro
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Contexto sobre a condição do erro
          example: >-
            {invalidPropertyName=[propertyValue], missingScopes=[scope1,
            scope2]}
        correlationId:
          type: string
          description: >-
            Um identificador exclusivo para a solicitação. Inclua este valor em
            relatórios de erro ou tickets de suporte
          format: uuid
          example: aeb5f871-7f07-4993-9211-075dc63e7cbf
        errors:
          type: array
          description: mais informações sobre o erro
          items:
            $ref: '#/components/schemas/ErrorDetail'
        links:
          type: object
          additionalProperties:
            type: string
          description: >-
            Um mapa de nomes de links para URIs associados que contêm
            documentação sobre o erro ou as etapas de correção recomendadas
        message:
          type: string
          description: >-
            Uma mensagem legível por humanos que descreve o erro, juntamente com
            as etapas de correção, quando apropriado
          example: An error occurred
        subCategory:
          type: string
          description: >-
            Uma categoria específica que contém mais detalhes específicos sobre
            o erro
      description: >-
        Representa uma resposta de erro retornada pela API quando uma operação
        falha. Este componente é usado em vários endpoints para fornecer
        informações detalhadas sobre o erro encontrado.
      example:
        message: Invalid input (details will vary based on the error)
        correlationId: aeb5f871-7f07-4993-9211-075dc63e7cbf
        category: VALIDATION_ERROR
        links:
          knowledge-base: https://www.hubspot.com/products/service/knowledge-base
    RecordListMembership:
      required:
        - firstAddedTimestamp
        - lastAddedTimestamp
        - listId
        - listVersion
      type: object
      properties:
        firstAddedTimestamp:
          type: string
          description: >-
            A data e hora em que o registro foi adicionado à lista pela primeira
            vez.
          format: date-time
        isPublicList:
          type: boolean
          description: Indica se a lista é pública.
        lastAddedTimestamp:
          type: string
          description: >-
            A data e hora em que o registro foi adicionado à lista pela última
            vez.
          format: date-time
        listId:
          type: string
          description: O identificador exclusivo da lista.
        listVersion:
          type: integer
          description: O número de versão da lista.
          format: int32
    ErrorDetail:
      required:
        - message
      type: object
      properties:
        code:
          type: string
          description: O código de status associado ao detalhe do erro
        context:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          description: Contexto sobre a condição do erro
          example: '{missingScopes=[scope1, scope2]}'
        in:
          type: string
          description: O nome do campo ou parâmetro no qual o erro foi encontrado.
        message:
          type: string
          description: >-
            Uma mensagem legível por humanos que descreve o erro, juntamente com
            as etapas de correção, quando apropriado
        subCategory:
          type: string
          description: >-
            Uma categoria específica que contém mais detalhes específicos sobre
            o erro
      description: >-
        Representa informações detalhadas sobre um erro ocorrido na API. Este
        componente é usado para fornecer contexto e detalhes adicionais sobre os
        erros, geralmente como parte de uma resposta de erro.
  responses:
    Error:
      description: An error occurred.
      content:
        '*/*':
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://app.hubspot.com/oauth/authorize
          tokenUrl: https://api.hubapi.com/oauth/v1/token
          scopes:
            cms.membership.access_groups.write: ''
            crm.lists.read: ''
            crm.lists.write: ''
            crm.segments.read: ''
            crm.segments.write: ''

````